<template>
  <div class="faq">
    <div class="faq__container container">
      <h1 class="faq__title">Cryptocurrency Withdrawal Fees on TBCC</h1>
      <div class="faq__content content">
        <div class="content__item">
          <span>
              How much does it cost to withdraw crypto?
          </span>
          <p class="content__item-text">
            The fee for withdrawal transactions to crypto addresses outside of TBCC is made up of a transaction fee (network fee), which is a fee paid to cryptocurrency miners or validators to process the transactions and secure the respective blockchain network.
          </p>
          <p class="content__item-text">Transaction fees are unique for every asset and network. Depending on network congestion, gas fees, and other external factors, withdrawal fees are subject to change.</p>
        </div>
        <div class="content__item">
          <span>
              How much does it cost to withdraw crypto?
          </span>
          <p class="content__item-text">
            Each cryptocurrency withdrawal request has a minimum amount. If the amount is too little, you won’t be able to request a withdrawal. You can find out the minimum withdrawal amount and transaction fees for each cryptocurrency on the page
            <a href='https://www.tbcc.com/fees' target='_blank'>Fee Structure on TBCC</a>.
          </p>
          <p class="content__item-text">Please check the current transaction fees charged and the minimum withdrawal amount on the withdrawal page.
          </p>
        </div>
      </div>
      <div class="faq__list list">
        <p class="list__title">Learn to trade efficiently:</p>
        <div class="list__wrap">
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-trade')"
            >How to trade?</nuxt-link
          >
          <nuxt-link
            class="list__link arrow-link"
            :to="localePath('/faq/how-to-stake')"
            >How to stake?</nuxt-link
          >
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-change-email')"
            >How to Change Account Email?</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'TBCC | FAQ',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com/faq/${this.$route.path}`,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
.faq {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1798px;
      height: 715px;
      background-image: url('../../assets/img/stones@2x.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -20px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
  }

  &__title {
    font-size: 42px;
    line-height: 52px;
    text-align: center;
    color: white;
    max-width: 630px;
    margin: 0 0 25px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
      text-align: center;
      max-width: 300px;
    }
  }

  &__subtitle {
    max-width: 640px;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    margin-bottom: 84px;
  }
}

.content {
  max-width: 830px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: 316px;
  }

  &__item {
    display: flex;
    flex-direction: column;

    &:not(:last-child) {
      margin-bottom: 30px;
    }

    & > span {
      font-weight: 500;
      font-size: 28px;
      line-height: 34px;
      color: white;
      margin: 0 0 20px;
      display: inline-block;

      @media (max-width: 767px) {
        font-size: 22px;
        line-height: 27px;
      }
    }
  }

  &__item-text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;

    a {
      color: #66b6ff;
    }

    span {
      font-weight: 500;
    }
  }

  &__item-subtitle {
    color: white;
    text-align: center;
    max-width: 590px;
    align-self: center;

    @media (max-width: 767px) {
      max-width: 330px;
    }
  }
}

.list {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 830px;
  width: 100%;
  margin-bottom: 140px;

  @media (max-width: 767px) {
    margin-bottom: 30px;
  }

  &__title {
    font-weight: 500;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 50px;
  }

  &__wrap {
    display: flex;
    width: 100%;

    @media (max-width: 767px) {
      flex-direction: column;
      max-width: 316px;
    }
  }

  &__link {
    text-transform: none;
    font-size: 22px;
    line-height: 26px;
    color: #ffffff99;
    font-weight: 300;

    &:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: auto;
      }
    }

    @media (max-width: 767px) {
      margin-right: auto;
      padding-top: 40px;
      padding-bottom: 40px;
      border-bottom: 1px solid #18265b;
      width: 100%;

      &:last-child {
        border-bottom: none;
      }
    }
  }
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.sub-text {
  text-align: right;
  font-size: 14px;
  line-height: 125%;
  display: inline-block;
  width: 100%;
}

.pl-20 {
  padding-left: 20px;
}

.mb-15 {
  margin-bottom: 15px;
}

.white {
  color: white;
}
</style>
